create table jin_skin_customized
(
  id              int(11) not null primary key,

  # type/code: "packord/order_step2"
  tmpl_code       varchar(50) not null default '',
  scope           varchar(20) not null default '',

  html_head       text not null default '',
  body_attr       varchar(255) not null default '',
  template        longtext not null default '',
  
  use_wysiwyg     int(1) not null default 0,

  unique key(tmpl_code,scope),
  key(scope)
);

create table jin_skin_compiled
(
  tmpl_code       varchar(50) not null default '',
  scope           varchar(20) not null default '',

  precedence      int(1) not null default 0,

  html_head_comp  text not null default '',
  body_attr       varchar(255) not null default '',
  template_comp   longtext not null default '',

  skin_file       varchar(50) not null default '',
  skin_file_mtime int(11) not null default 0,

  unique key(tmpl_code,scope),
  key(scope)
);

alter table jin_tax modify percent decimal(4,2) not null default 0;
